<template lang='pug'>
Example(title='Available Filters' :maxState='0')
  template(v-slot:description)
    h5 In this card there are all the filters available in base-vue
    p Click on #[em code] to view and modify its code.
  template(v-slot:code)
    template(v-pre).
      div
        BaseCard.mb-2(title='b-byteSize')
          li(key='0')
            strong Transform a number in a KibiByte readable string
            br
            | Examples:
            ul
              li \#[code 1024] &rarr; {{ 1024 | b-byteSize}}
              li \#[code 2020] &rarr; {{ 2020 | b-byteSize}}
              li \#[code 2020] forcing \#[code 0] decimals &rarr; {{ 2020 | b-byteSize(0)}}
              li \#[code 1064976] with \#[code 4] decimals &rarr; {{ 1064976 | b-byteSize(4)}}
              li 'wrongFormat' &rarr; {{ "wrongFormat" | b-byteSize}}
        BaseCard.mb-2(title='b-luxon (or deprecated b-moment)')
          li(key='0')
            strong Transform a timestamp in a readable date
            br
            | \#[strong Note:] \#[tt b-moment] is an alias to \#[tt b-luxon], for the format syntax do refer to
            | \#[a(href='https://moment.github.io/luxon/docs/manual/formatting.html') luxon documentation]
            br
            | Examples:
            ul
              li \#[code 1591800644542] &rarr; {{ 1591800644542 | b-luxon}}
              li \#[code 1591800644542] with custom format \#[code yyyy-MM-dd] &rarr; {{ 1064976 | b-luxon('yyyy-MM-dd')}}
              li \#[code 1591800644] (unix style) &rarr; {{ 1591800644 | b-luxon}}
        BaseCard.mb-2(title='b-dateTime')
          li(key='0')
            strong Diplay the provided ms or seconds timestamp as a human readable date
            br
            | Examples:
            ul
              li \#[code 1591800644542] &rarr; {{ 1591800644542 | b-dateTime}}
              li \#[code 1591800644] (unix style) &rarr; {{ 1591800644 | b-dateTime}}
        BaseCard.mb-2(title='b-relativeDateTime')
          li(key='0')
            strong Diplay the provided ms or seconds timestamp as a human readable relative date
            br
            | Examples:
            ul
              li \#[code 1591800644542] &rarr; {{ 1591800644542 | b-relativeDateTime}}
              li \#[code 1591800644] (unix style) &rarr; {{ 1591800644 | b-relativeDateTime}}
        BaseCard.mb-2(title='b-duration')
          li(key='0')
            strong
              | Diplay the provided milliseconds as a human readable duration based on the
              | specified time units
            br
            | \#[strong Note:] null time units are not displayed by default (\#[tt hideNulls: true])
            br
            | Examples:
            ul
              li \#[code 123456] &rarr; {{ 123456 | b-duration}}
              li \#[code 36 * 60 * 60 * 1000] &rarr; {{ 36 * 60 * 60 * 1000 | b-duration([ 'day', 'hour' ])}}
              li \#[code 23820964] &rarr; {{ 23820964 | b-duration([ 'day', 'hour', 'minute', 'second' ], { listStyle: 'narrow', unitDisplay: 'short' })}}
              li \#[code 23820964] (\#[tt hideNulls: false]) &rarr; {{ 23820964 | b-duration([ 'day', 'hour', 'minute', 'second' ], { hideNulls: false, listStyle: 'narrow', unitDisplay: 'short' })}}
        BaseCard.mb-2(title='b-bigNumber')
          li(key='0')
            strong Display the provided number in scientific notation
            br
            | Examples:
            ul
              li \#[code 1.12345] &rarr; {{ 1.12345 | b-bigNumber}}
              li \#[code 1.12345] with custom precision(2) and suffix &rarr; {{ 1.12345 | b-bigNumber(' MB', { precision: 2 })}}
              li \#[code 1] with fixed notation, custom precision(3) and suffix &rarr; {{ 1.12345 | b-bigNumber(' MB', { fixed: true, precision: 3 })}}
              li \#[code 10101] &rarr; {{ 10101 | b-bigNumber}}
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleFilters",
  components: { Example }
};

</script>
